## gate
Interface DocumentContent

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DocumentContentImpl

public interface DocumentContent
extends Serializable

The content of Documents.

Method Summary
`DocumentContent` `getContent(Long start, Long end)` The contents under a particular span.
`Long` `size()` The size of this content (e.g.

Method Detail

### getContent

    public DocumentContent getContent(Long start,
                                      Long end)
                               throws InvalidOffsetException

  The contents under a particular span.

### size

    public Long size()

  The size of this content (e.g. character length for textual content).